/** An entry-point file using render/GlutRender as a renderer
 * As of now, mostly for testing purposes.
 **/

#include "render/GlutRender.hpp"
#include "util/ObjParser.hpp"
#include "Mesh.hpp"

int main(int argc, char** argv) {
    GlutRender& render = GlutRender::get_instance();
    render.init(&argc, argv, 640, 480, "Bouncing stuff");

    Mesh mesh = ObjParser("mesh/cube.obj").parse();
    mesh.translate(Point(2.5, -1, 0.));
    render.add_mesh(&mesh);

    render.run();

    return 0;
}
